Page MenuHomePhabricator

Phabricator PHP 7 Compatibility
Closed, ResolvedPublic

Tokens
"100" token, awarded by tamal."Yellow Medal" token, awarded by dmgarcia."Mountain of Wealth" token, awarded by 20after4."Yellow Medal" token, awarded by salvian."Orange Medal" token, awarded by mcsharma1990."Mountain of Wealth" token, awarded by adamchainz."Mountain of Wealth" token, awarded by joshuaspence."Mountain of Wealth" token, awarded by pouyana."Doubloon" token, awarded by chad.
Assigned To
Authored By
epriestley, Jan 13 2017

Description

Summary

  • Phabricator supports PHP 7.1 and newer, but this support is new (circa January 2017) and less thoroughly tested than PHP 5, so you may encounter some issues.
  • Phabricator does not support PHP 7.0 through PHP 7.1. A feature Phabricator relies on (asynchronous signal handling) was removed in PHP 7.0 and not made available again until PHP 7.1.

Notes

  • PHP7 support is not available in versions of Phabricator earlier than 2017 Week 2.
  • You should install OpCache to provide bytecode caching.
  • You should install APCu (version 5.x.x) to provide data caching.

Event Timeline

chad awarded a token.Jan 13 2017, 12:17 AM
J5lx added a subscriber: J5lx.Jan 13 2017, 12:32 AM
cmmata added a subscriber: cmmata.Jan 13 2017, 10:17 AM
enckse added a subscriber: enckse.Jan 13 2017, 12:06 PM
joshuaspence added a subscriber: joshuaspence.
Ltrlg added a subscriber: Ltrlg.Jan 14 2017, 10:42 AM
Itms added a subscriber: Itms.Jan 14 2017, 6:53 PM
kugel- added a subscriber: kugel-.Jan 16 2017, 7:13 AM
tamal awarded a token.Mar 16 2017, 7:03 PM
rbalik added a subscriber: rbalik.Mar 31 2017, 9:57 PM
dgrote added a subscriber: dgrote.Jul 28 2017, 1:03 PM
pasik added a subscriber: pasik.Dec 16 2017, 8:20 PM
epriestley closed this task as Resolved.Aug 21 2018, 8:03 PM
epriestley claimed this task.

We haven't seen any PHP7 issues in ~6 months and the last few have been very minor things with edge cases like error handling behavior, so I think we can safely call this resolved.